Bug Hunting Session
Bug 90223 - FILEOPEN : Open the Roundtrip PPTX in LO it changes text formatting of cell.
Summary: FILEOPEN : Open the Roundtrip PPTX in LO it changes text formatting of cell.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: Other All
: high major
Assignee: Yogesh Bharate
URL:
Whiteboard: target:5.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-25 09:07 UTC by Yogesh Bharate
Modified: 2016-02-10 22:40 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
cell formatting changes after roundtripped. (94.06 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2015-03-25 09:07 UTC, Yogesh Bharate
Details
pptx open in LO (242.17 KB, image/png)
2015-03-25 09:34 UTC, Yogesh Bharate
Details
pptx opens in MS Office 2010 (MSO2010) (226.23 KB, image/png)
2015-03-25 09:35 UTC, Yogesh Bharate
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yogesh Bharate 2015-03-25 09:07:14 UTC
Created attachment 114328 [details]
cell formatting changes after roundtripped.

PPTX contents embedded table.

Problem:
- After RT when we open roundtripped PPTX file in LibreOffice or MS Office 2010, text formating of cell is changed.

Step to Reproduce:
1. Open the attached pptx in LibreOffice.
2. save it as pptx again.
3. Open the roundtripped pptx in LibreOffice or MS Office, it shows the text formatting in cell is changes.

Expected behavior:
- text formatting in cell should not changed.

Actual behavior:
- text formatting in cell is changed.

[ PFA screenshot for more details ]
Comment 1 Yogesh Bharate 2015-03-25 09:34:50 UTC
Created attachment 114330 [details]
pptx open in LO
Comment 2 Yogesh Bharate 2015-03-25 09:35:15 UTC
Created attachment 114331 [details]
pptx opens in MS Office 2010 (MSO2010)
Comment 3 A (Andy) 2015-03-26 18:12:08 UTC
Reproducible with LO 4.4.1.2, Win 8.1.

In addition, the background colour is changed to blue in LO, but for me the background colour in MSO is changed to white.
Comment 4 Commit Notification 2015-04-21 22:43:42 UTC
yogesh.bharate001 committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=636c5a63d67b52b0d2f9f21a863c45eca6ac9ff7

tdf#90223:PPTX table cell left  and right margin is not exported.

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Timur 2015-05-11 17:17:46 UTC
Please backport to 4.4.
Comment 6 Timur 2015-06-18 10:56:06 UTC
This maybe was inherited, but this example can be reproduced from 3.5.0, because there were no table before. Nice work.
Comment 7 Joel Madero 2016-02-10 22:40:33 UTC
4.4 EOL - removing request.